Subject: Re: bug#76446: 0003-Makefile-Add-target-to-run-checkdoc-on-all-files.patch

From: Michael Albinus <[email-masked]>
Date: Fri, 21 Feb 2025 13:02:20 +0100

Morgan Smith <[email-masked]> writes:

> --- /dev/null
> +++ b/.dir-locals.el
> @@ -0,0 +1,18 @@
> +;;; Directory Local Variables            -*- no-byte-compile: t -*-
> +;;; For more information see (info "(emacs) Directory Variables")
> +
> +((emacs-lisp-mode . ((checkdoc-package-keywords-flag . t)
> +                     (checkdoc-ispell-lisp-words
> +                      .
> +                      ("ChangeLog" "ChangeLogs" "UTF" "alist" "args"
> +                       "armstrong" "backend" "bcc" "bugreport" "cdate" "cedet"
> +                       "coreutils" "cygwin" "debbugs" "debian" "el" "emacs"
> +                       "etags" "freemail" "fsf" "guix" "gw" "henoch" "hu"
> +                       "hyperestraier" "keymap" "magit" "magnus" "maint"
> +                       "maintainer" "maintainer's" "mbox" "mboxes" "minibuffer"
> +                       "moreinfo" "multibyte" "notabug" "paren" "persistency"
> +                       "regexp" "rescan" "rgm" "rmail" "severities" "sexp"
> +                       "solaris" "src" "sublist" "submitter" "submitter's"
> +                       "subproduct" "subqueries" "subquery" "teardown"
> +                       "unarchived" "unibyte" "unreproducible" "url" "util"
> +                       "wishlist" "wontfix" "wsdl" "www" "xsd" "zltuz")))))

This is needed for the checkdoc target in make only, isn't it? Shouldn't
we activate it for just this case?

> --- a/Makefile
> +++ b/Makefile
> +checkdoc: $(SOURCE) $(TESTSOURCE)
> +	@$(EMACS) -Q --batch "--eval=(setq enable-local-variables :all \
> +                                       checkdoc-spellcheck-documentation-flag t)" \
> +    -L . $(foreach file,$^,"--eval=(checkdoc-file \"$(file)\")")

Do we need '-L .'?

Best regards, Michael.